Package wx :: Package lib :: Package floatcanvas :: Module NavCanvas :: Class NavCanvas

[frames | no frames]

## Type NavCanvas

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            NavCanvas

NavCanvas.py

This is a high level window that encloses the FloatCanvas in a panel and adds a Navigation toolbar.

Copyright: Christopher Barker)

License: Same as the version of wxPython you are using it with

Please let me know if you're using this!!!

Contact me at:

Chris.Barker@noaa.gov

Method Summary
| `__init__(self, parent, id, size, **kwargs)`
| ``__getattr__`(self, name)` Delegate all extra methods to the Canvas
| `BuildToolbar(self)`
| `SetToolMode(self, event)`
| `ZoomToFit(self, Event)`

Property Summary

Instance Method Details

### __getattr__(self, name)
(Qualification operator)

Delegate all extra methods to the Canvas

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:52 2007 | http://epydoc.sf.net